Skip to main content
PUT
/
calendars
/
events
/
appointments
/
{eventId}
Update Appointment
curl --request PUT \
  --url https://services.leadconnectorhq.com/calendars/events/appointments/{eventId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "title": "Test Event",
  "meetingLocationType": "custom",
  "meetingLocationId": "custom_0",
  "overrideLocationConfig": true,
  "appointmentStatus": "confirmed",
  "assignedUserId": "0007BWpSzSwfiuSl0tR2",
  "description": "Booking a call to discuss the project",
  "address": "Zoom",
  "ignoreDateRange": false,
  "toNotify": false,
  "ignoreFreeSlotValidation": true,
  "rrule": "RRULE:FREQ=DAILY;INTERVAL=1;COUNT=5",
  "calendarId": "CVokAlI8fgw4WYWoCtQz",
  "startTime": "2021-06-23T03:30:00+05:30",
  "endTime": "2021-06-23T04:30:00+05:30"
}
'
{
  "calendarId": "CVokAlI8fgw4WYWoCtQz",
  "locationId": "C2QujeCh8ZnC7al2InWR",
  "contactId": "0007BWpSzSwfiuSl0tR2",
  "id": "0TkCdp9PfvLeWKYRRvIz",
  "startTime": "2021-06-23T03:30:00+05:30",
  "endTime": "2021-06-23T04:30:00+05:30",
  "title": "Test Event",
  "meetingLocationType": "custom",
  "appointmentStatus": "confirmed",
  "assignedUserId": "0007BWpSzSwfiuSl0tR2",
  "address": "Zoom",
  "isRecurring": "true",
  "rrule": "RRULE:FREQ=DAILY;INTERVAL=1;COUNT=5"
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-04-15

Path Parameters

eventId
string
required

Event Id or Instance id. For recurring appointments send masterEventId to modify original series.

Body

application/json
title
string

Title

Example:

"Test Event"

meetingLocationType
enum<string>

Meeting location type.

  • If address is provided in the request body, the meetingLocationType defaults to custom.
Available options:
custom,
zoom,
gmeet,
phone,
address,
ms_teams,
google
Example:

"custom"

meetingLocationId
string
default:default

The unique identifier for the meeting location.

  • This value can be found in calendar.locationConfigurationsor calendar.teamMembers[].locationConfigurations
Example:

"custom_0"

overrideLocationConfig
boolean

Flag to override location config

  • false - If only meetingLocationId is provided
  • true - If only meetingLocationType is provided
Example:

true

appointmentStatus
enum<string>
Available options:
new,
confirmed,
cancelled,
showed,
noshow,
invalid
Example:

"confirmed"

assignedUserId
string

Assigned User Id

Example:

"0007BWpSzSwfiuSl0tR2"

description
string

Appointment Description

Example:

"Booking a call to discuss the project"

address
string

Appointment Address

Example:

"Zoom"

ignoreDateRange
boolean

If set to true, the minimum scheduling notice and date range would be ignored

Example:

false

toNotify
boolean

If set to false, the automations will not run

Example:

false

ignoreFreeSlotValidation
boolean

If true the time slot validation would be avoided for any appointment creation (even the ignoreDateRange)

Example:

true

rrule
string

RRULE as per the iCalendar (RFC 5545) specification for recurring events. DTSTART is not required, instance ids are calculated on the basis of startTime of the event. The rrule only be applied if ignoreFreeSlotValidation is true.

Example:

"RRULE:FREQ=DAILY;INTERVAL=1;COUNT=5"

calendarId
string

Calendar Id

Example:

"CVokAlI8fgw4WYWoCtQz"

startTime
string

Start Time

Example:

"2021-06-23T03:30:00+05:30"

endTime
string

End Time

Example:

"2021-06-23T04:30:00+05:30"

Response

Successful response

calendarId
string
required

Calendar Id

Example:

"CVokAlI8fgw4WYWoCtQz"

locationId
string
required

Location Id

Example:

"C2QujeCh8ZnC7al2InWR"

contactId
string
required

Contact Id

Example:

"0007BWpSzSwfiuSl0tR2"

id
string
required

Id

Example:

"0TkCdp9PfvLeWKYRRvIz"

startTime
string

Start Time

Example:

"2021-06-23T03:30:00+05:30"

endTime
string

End Time

Example:

"2021-06-23T04:30:00+05:30"

title
string

Title

Example:

"Test Event"

meetingLocationType
string
default:default

Meeting Location Type

Example:

"custom"

appointmentStatus
enum<string>
Available options:
new,
confirmed,
cancelled,
showed,
noshow,
invalid,
active,
completed
Example:

"confirmed"

assignedUserId
string

Assigned User Id

Example:

"0007BWpSzSwfiuSl0tR2"

address
string

Appointment Address

Example:

"Zoom"

isRecurring
boolean

true if the event is recurring otherwise false

Example:

"true"

rrule
string

RRULE as per the iCalendar (RFC 5545) specification for recurring events

Example:

"RRULE:FREQ=DAILY;INTERVAL=1;COUNT=5"

Last modified on March 4, 2026